# short-uuid

Rust port of the [short-uuid](https://www.npmjs.com/package/short-uuid) library. It can
encode and decode standard UUIDs into shorter formats.

## Formats

From the original library

- `Base58Flickr` (`A-z, 1-9` without `I`, `O`, `l`, ordered Numbers < Lowercase <
  Uppercase>)
- `Base90Cookie` (`` A-z, 0-9, !#$%&'()*+-./:<=>?@[]^_{|}~` ``, ordered Numbers <
  Lowercase < Uppercase < Special)

Additional encodings

- `Base58` (`A-z, 1-9` without `I`, `O`, `l`, ordered Numbers < Uppercase < Lowercase)
- `Base62` (`A-z, 0-9`, ordered Uppercase < Lowercase < Numbers)
- `Base64` (`A-z, 0-9, +/`, ordered Uppercase < Lowercase < Numbers < Special)
- `Base64Url` (`A-z, 0-9, -_`, ordered Uppercase < Lowercase < Numbers < Special)
